<script setup>
const userData = useCookie('userData').value
const userRole = userData.role

let status_assinatura = ''

if (userRole === 'empresa') {
    status_assinatura = userData.status_assinatura
} else {
    status_assinatura = true
}

let isAssinaturaInativa = true
if (status_assinatura === true || status_assinatura === 1) {
    isAssinaturaInativa = false
}
</script>

<template>
    <v-dialog width="auto" v-if="isAssinaturaInativa" v-model="isAssinaturaInativa" persistent
        style="z-index: 2 !important;" class="dialogAssinatura">
        <VCard class="pa-5">
            <VIcon size="30" color="red" class="text-center w-100 mb-4">tabler-user-x</VIcon>
            <h3 class="text-center mb-2">Área exclusiva para assinantes</h3>
            <p class="text-center">Para ter acesso a essa área<br>é necessário ter uma assinatura ativa.</p>
            <VBtn color="primary" style="text-transform: none;">Entre em contato conosco e assine agora!</VBtn>
        </VCard>
    </v-dialog>
</template>

<style>
.dialogAssinatura .v-overlay__scrim {
    background-color: #fefefede !important;
}
</style>